[SCM] live-initramfs branch, master, updated. debian/1.173.4-1-2-g9f034c8

Daniel Baumann daniel at debian.org
Sun Mar 14 16:51:50 UTC 2010


The following commit has been merged in the master branch:
commit 9f034c8776f519805c77618bdb6998f9e84bfecc
Author: Daniel Baumann <daniel at debian.org>
Date:   Sun Mar 14 17:47:21 2010 +0100

    Simplyfing initramfs triggers (Closes: #521129, #545842).

diff --git a/debian/live-initramfs.postinst b/debian/live-initramfs.postinst
index b94b3bd..2bae8ae 100644
--- a/debian/live-initramfs.postinst
+++ b/debian/live-initramfs.postinst
@@ -1,25 +1,25 @@
 #!/bin/sh
 
-case "$(ls -l /boot/vmlinu* | wc -l)" in
-	1)
-		# We only have one kernel installed, so we can use "-u"
-		# which will use dpkg-trigger inside update-initramfs
-		INITRAMFS_ARGS="-u"
+set -e
+
+case "${1}" in
+	configure)
+		if [ -x /usr/sbin/update-initramfs ]
+		then
+			update-initramfs -u
+		fi
+		;;
+
+	abort-upgrade|abort-remove|abort-deconfigure)
+
 		;;
 
 	*)
-		INITRAMFS_ARGS="-u -k all"
+		echo "postinst called with unknown argument \`${1}'" >&2
+		exit 1
 		;;
 esac
 
-if [ -x /usr/sbin/update-initramfs ] && [ "${1}" != "triggered" ] && \
-	dpkg --compare-versions "${DPKG_RUNNING_VERSION}" ge "1.14.18"
-then
-	# this activates the trigger, if triggers are working
-	update-initramfs ${INITRAMFS_ARGS}
-else
-	# force it to actually happen
-	DPKG_MAINTSCRIPT_PACKAGE="" update-initramfs ${INITRAMFS_ARGS}
-fi
-
 #DEBHELPER#
+
+exit 0
diff --git a/debian/live-initramfs.postrm b/debian/live-initramfs.postrm
deleted file mode 100644
index b94b3bd..0000000
--- a/debian/live-initramfs.postrm
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/sh
-
-case "$(ls -l /boot/vmlinu* | wc -l)" in
-	1)
-		# We only have one kernel installed, so we can use "-u"
-		# which will use dpkg-trigger inside update-initramfs
-		INITRAMFS_ARGS="-u"
-		;;
-
-	*)
-		INITRAMFS_ARGS="-u -k all"
-		;;
-esac
-
-if [ -x /usr/sbin/update-initramfs ] && [ "${1}" != "triggered" ] && \
-	dpkg --compare-versions "${DPKG_RUNNING_VERSION}" ge "1.14.18"
-then
-	# this activates the trigger, if triggers are working
-	update-initramfs ${INITRAMFS_ARGS}
-else
-	# force it to actually happen
-	DPKG_MAINTSCRIPT_PACKAGE="" update-initramfs ${INITRAMFS_ARGS}
-fi
-
-#DEBHELPER#

-- 
live-initramfs



More information about the debian-live-changes mailing list